Bug 6622 - can't unselect a detected partition in Manual Partitioning
can't unselect a detected partition in Manual Partitioning
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 1999-11-01 19:12 EST by bruce.w.mohler
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-19 18:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bruce.w.mohler 1999-11-01 19:12:49 EST
I have NT plus 4 different distributions of Linux on my
Compaq Deskpro 4000.  During the install of Red Hat Linux
6.1 (GUI, non-expert), I elected to do a manual partition.
I wanted to install root into /dev/hdb6 and re-use swap on
/dev/hda6.  It detected a Linux (6.0) file system on
/dev/hda5 and wouldn't let me un-select it.  I ended up
mounting it on /usr/local and hoped that nothing would be
written to it.

By the way, I REALLY like your new GUI install, but you need
to let users unselect a file system (to protect existing

Thanks, in advance.
Comment 1 Jay Turner 1999-11-02 11:16:59 EST
Not quite sure what you were seeing.  In Disk Druid, you should see
all of the partitions which exist on all drives in your system.  You
should only assign mount points to the stuff which you want mounted.
The remainder of the partitions will have a flag of "not set" in the
GUI Disk Druid.  Were you seeing something different?
Comment 2 bruce.w.mohler 1999-11-02 12:51:59 EST
I have the following partitions on my system (I have a 6GB and 3GB
drive on a Compaq Deskpro 4000):

/dev/hda1 (Compaq Diagnostics)
/dev/hda2 (Win NT ...)
/dev/hda5 (RH Linux 6.0 "production")
/dev/hda6 (swap partition - used by all installed distributions)

/dev/hdb1 (Caldera Open Linux 2.3)
/dev/hdb5 (Mandrake 6.0)
/dev/hdb6 (now contains RH 6.1)

When I came up in Disk Druid, it had set /dev/hda5 as / and /dev/hda6
as swap.  The last thing I wanted it to do was to over write my
"production" Linux partition.  I set the root partition to be
/dev/hdb6 but couldn't find a way to make Disk Druid "let go" of
/dev/hda5, so I had it mount it on /usr/local, assuming that it
wouldn't write anything there and I could remove it from the
/etc/fstab later on...

A little scary.
Comment 3 Jay Turner 1999-11-30 10:11:59 EST
Now I see what you are saying!  This issue has been forwarded to a developer for
further action.
Comment 4 Jay Turner 2000-02-08 22:02:59 EST
Issue has been moved to a features list for future releases.
Comment 5 Michael Fulbright 2000-09-19 18:54:26 EDT
Has this been a problem with the Red Hat 6.2 release? Please reopen if this has
not been addressed.

Note You need to log in before you can comment on or make changes to this bug.